Bug 106149 - comments/annotations doesn't support list items
Summary: comments/annotations doesn't support list items
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ODF-import Writer-Comments
  Show dependency treegraph
 
Reported: 2017-02-23 09:01 UTC by Pranav Kant
Modified: 2019-03-07 03:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pranav Kant 2017-02-23 09:01:01 UTC
Quoting ODF 1.2 specs -

"The <office:annotation> element has the following child elements: <dc:creator> 4.3.2.7,
<dc:date> 4.3.2.10, <meta:date-string> 14.3, <text:list> 5.3.1 and <text:p> 5.1.3."

but it is not possible from the writer UI to add list items (<text:list> elements) to a comment/annotation.
Comment 1 Pranav Kant 2017-02-23 09:32:04 UTC
FWIW, an ODT document exported from MSO containing comment with list items does have appropriate <text:list> elements as according to ODF spec, but LO shows all the list items as if they are a paragraph.
Comment 2 Aron Budea 2017-03-03 22:31:39 UTC
I'm not an ODF expert, but looking at the spec it does seem so that it should be supported, while as of 5.3.0.3 it isn't.
Comment 3 QA Administrators 2018-03-05 03:38:44 UTC Comment hidden (obsolete)
Comment 4 Pranav Kant 2018-03-06 05:13:17 UTC
Still reproducible: Version: 6.1.0.0.alpha0+
Comment 5 QA Administrators 2019-03-07 03:43:55 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug